#ifndef KMEMORY_H
#define KMEMORY_H

#include <stdint.h>
#include <stddef.h>

void memcpy(const void* src, void* dst, size_t sz);
void memset(uint8_t* dst, uint8_t val, size_t sz);

int strcmp(const char *s1, const char *s2);
int strncmp(const char *s1, const char *s2, size_t n);
int strlen(const char* str);
char* strcpy(char* dest, const char* src);

void kgrow(size_t pages);
void* kalloc(size_t sz);
void kfree(void* ptr);

#endif